Add subscribers to post
curl --request POST \
--url https://app.tryordinal.com/api/v1/subscribers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"postId": "550e8400-e29b-41d4-a716-446655440000",
"userIds": [
"550e8400-e29b-41d4-a716-446655440011",
"550e8400-e29b-41d4-a716-446655440012"
]
}
'import requests
url = "https://app.tryordinal.com/api/v1/subscribers"
payload = {
"postId": "550e8400-e29b-41d4-a716-446655440000",
"userIds": ["550e8400-e29b-41d4-a716-446655440011", "550e8400-e29b-41d4-a716-446655440012"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
postId: '550e8400-e29b-41d4-a716-446655440000',
userIds: ['550e8400-e29b-41d4-a716-446655440011', '550e8400-e29b-41d4-a716-446655440012']
})
};
fetch('https://app.tryordinal.com/api/v1/subscribers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdSubscribers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>"
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
],
"existingSubscribers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>"
},
"createdBy": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"firstName": "<string>",
"lastName": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"code": "BAD_REQUEST",
"message": "Bad Request",
"data": {
"errors": {
"publishAt": [
"Invalid date format"
],
"status": [
"Invalid enum value"
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or unauthorized API key"
}{
"code": "NOT_FOUND",
"message": "Post not found or does not belong to this workspace"
}Subscribers
Add subscribers to post
Add one or more subscribers to a post
POST
/
subscribers
Add subscribers to post
Authorizations
API key authentication. Generate an API key from your workspace settings.
Was this page helpful?
⌘I